Subject: Re: bug#2588: 23.0.90; Man buffer improperly formatted - wrong width

From: Chong Yidong <[email-masked]>
Date: Sun, 08 Mar 2009 11:45:51 -0400

Stefan Monnier <[email-masked]> writes:

> We could try to fix this: I think it would actually be desirable to pop
> up the frame immediately and then asynchronously fill it as man's output
> comes in.
>
> This said, we could also just remove the COLUMNS business.
> Who introduced this COLUMNS thingy and what was the motivation for it?

This is explained in the code comments: it's required to ensure that the
output of the manpage formatter has the same number of columns as the
Emacs window/frame.